import { p as u } from "../postVW.7dbe6e67.js";
import { resolveComponent as m, openBlock as p, createElementBlock as h, normalizeClass as f, normalizeStyle as n, createVNode as y } from "vue";
import "../index.vue_vue_type_style_index_0_scoped_36376dec_lang.df6de6c4.js";
import { _ as c } from "../_plugin-vue_export-helper.9d74fd37.js";
import { F as o, N as r } from "../vant.1b71dbee.js";
const g = {
  name: "ht-input",
  data() {
    return {
      htIptStyle: {},
      regList: [void 0, /[^0-9.-]/g, /[^0-9]/g, /[^a-zA-Z\u4e00-\u9fa5]/g],
      types: ["text", "number", "digit", "tel", "text"],
      mes: ""
    };
  },
  mixins: [u],
  components: {
    [o.name]: o,
    [r.name]: r
  },
  props: {
    htStyle: {
      type: Object
    },
    label: {
      type: String,
      default: "\u6587\u672C"
    },
    pxToVw: {
      type: Boolean,
      default: !1
    },
    placeholder: {
      type: String,
      default: "\u8BF7\u8F93\u5165"
    },
    rightIcon: {
      type: Boolean,
      default: !1
    },
    bottomBorder: {
      type: Boolean,
      default: !0
    },
    valtype: {
      type: Number,
      default: 0
    },
    modelValue: {
      type: String
    },
    disable: {
      type: Boolean
    },
    required: {
      type: Boolean
    },
    clearable: {
      type: Boolean
    },
    inputAlign: {
      type: String,
      default: "left"
    },
    maxLength: { type: Number, default: 200 },
    passWord: {
      type: Boolean
    }
  },
  watch: {
    htStyle: {
      immediate: !0,
      deep: !0,
      handler(t, l) {
        this.htIptStyle = t, this.pxToVw && this.init(this.htIptStyle);
      }
    },
    modelValue: {
      immediate: !0,
      deep: !0,
      handler(t, l) {
        this.mes != t && (this.mes = t);
      }
    }
  },
  methods: {
    fieldChange(t, l) {
      this.valtype == 4 && (this.mes = this.mes.replace(/[^a-zA-Z\u4e00-\u9fa5]/g, ""));
    },
    getvalue(t, l) {
      let e = /[a-zA-Z\u4e00-\u9fa5]/g;
      this.valtype == 4 ? e.test(t) && this.$emit("update:model-value", t) : this.$emit("update:model-value", t);
    }
  }
};
function b(t, l, e, v, a, i) {
  const d = m("van-field");
  return p(), h("div", {
    class: f(["ht-input", { bottomBorder: e.bottomBorder }]),
    style: n(a.htIptStyle)
  }, [
    y(d, {
      placeholder: e.placeholder,
      center: "",
      "is-link": e.rightIcon,
      label: e.label,
      type: e.passWord ? "password" : a.types[this.valtype],
      modelValue: a.mes,
      "onUpdate:modelValue": [
        l[0] || (l[0] = (s) => a.mes = s),
        i.getvalue
      ],
      onInput: i.fieldChange,
      disable: e.disable,
      border: !1,
      required: e.required,
      clearable: e.clearable,
      maxlength: e.maxLength,
      "input-align": e.inputAlign,
      style: n(a.htIptStyle)
    }, null, 8, ["placeholder", "is-link", "label", "type", "modelValue", "onUpdate:modelValue", "onInput", "disable", "required", "clearable", "maxlength", "input-align", "style"])
  ], 6);
}
const V = /* @__PURE__ */ c(g, [["render", b], ["__scopeId", "data-v-36376dec"]]);
export {
  V as default
};
